/*
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Rev: 988 $ $LastChangedDate: 2002-09-15 12:23:51 +0200 (Sun, 15 Sep 2002) $
 *
 * Lexer - wrapper around Gontlex.
 */
 
/** Type of lexers.  */
type t;

/** Try open file [fn] and make lexer object out of it.  */
t make_lexer(string fn);

/** Return token with associated location from lexer object [l].  */
*(Parser::token, Ast::location) get_token(t l);
